﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;
using Microsoft.Maps.MapControl;

namespace DataBinding
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void Element_MouseEnter(object sender, MouseEventArgs e)
        {
            FrameworkElement pin = sender as FrameworkElement;
            MapLayer.SetPosition(ContentPopup, MapLayer.GetPosition(pin));
            MapLayer.SetPositionOffset(ContentPopup, new Point(20, -15));
            ContentPopupText.Text = pin.Tag as string;
            ContentPopup.Visibility = Visibility.Visible;
        }

        private void Element_MouseLeave(object sender, MouseEventArgs e)
        {
            Pushpin pin = sender as Pushpin;
            ContentPopup.Visibility = Visibility.Collapsed;
        }

        private void ContentPopup_MouseEnter(object sender, MouseEventArgs e)
        {
            //Show the popup if mouse is hovering over it
            ContentPopup.Visibility = Visibility.Visible;
        }

        private void ContentPopup_MouseLeave(object sender, MouseEventArgs e)
        {
            //Hide the popup if mouse leaves it
            ContentPopup.Visibility = Visibility.Collapsed;
        }
    }
}
