﻿using System;
using System.Windows.Controls;
using System.Windows.Input;
using Microsoft.Maps.MapControl;

namespace MiniMap
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            // Set up Main Map Events
            MainMap.TargetViewChanged += new EventHandler<MapEventArgs>(MainMap_TargetViewChanged);

            // Set up MiniMap Events
            MiniMap.MouseClick += new EventHandler<MapMouseEventArgs>(MiniMap_MouseClick);
            MiniMap.MouseDoubleClick += new EventHandler<MapMouseEventArgs>(MiniMap_MouseDoubleClick);
            MiniMap.MouseDragBox += new EventHandler<MapMouseDragEventArgs>(MiniMap_MouseDragBox);
            MiniMap.MousePan += new EventHandler<MapMouseDragEventArgs>(MiniMap_MousePan);
            MiniMap.MouseWheel += new MouseWheelEventHandler(MiniMap_MouseWheel);

            MiniMap.KeyUp += new KeyEventHandler(MiniMap_KeyUp);
            MiniMap.KeyDown += new KeyEventHandler(MiniMap_KeyDown);
            MiniMap.KeyPress += new EventHandler<MapKeyPressEventArgs>(MiniMap_KeyPress);
            MiniMap.KeyHeld += new EventHandler<MapKeyHeldEventArgs>(MiniMap_KeyHeld);
        }

        #region MainMap Events

        void MainMap_TargetViewChanged(object sender, MapEventArgs e)
        {
            MiniMap.SetView(MainMap.Center, Math.Max(1.0, MainMap.ZoomLevel - 5));
        }
        
        #endregion


        #region MiniMap Events

        void MiniMap_MouseWheel(object sender, MouseWheelEventArgs e)
        {
            e.Handled = true;
        }

        void MiniMap_MousePan(object sender, MapMouseDragEventArgs e)
        {
            e.Handled = true;
        }

        void MiniMap_KeyHeld(object sender, MapKeyHeldEventArgs e)
        {
            e.Handled = true;
        }

        void MiniMap_KeyUp(object sender, KeyEventArgs e)
        {
            e.Handled = true;
        }

        void MiniMap_MouseDragBox(object sender, MapMouseDragEventArgs e)
        {
            e.Handled = true;
        }

        void MiniMap_MouseDoubleClick(object sender, MapMouseEventArgs e)
        {
            e.Handled = true;
        }

        void MiniMap_KeyPress(object sender, MapKeyPressEventArgs e)
        {
            e.Handled = true;
        }

        void MiniMap_KeyDown(object sender, KeyEventArgs e)
        {
            e.Handled = true;
        }

        void MiniMap_MouseClick(object sender, MapMouseEventArgs e)
        {
            e.Handled = true;
        }

        #endregion

    }
}
