﻿using System.Windows;
using System.Windows.Controls;
using Microsoft.Maps.MapControl;
using Microsoft.Maps.MapControl.Design;

namespace SetMapView
{
    public partial class MainPage : UserControl
    {

		private LocationConverter locationConverter;

		public MainPage()
        {
            InitializeComponent();
			locationConverter = new LocationConverter();
        }

        private void ChangeMapView(object sender, RoutedEventArgs e)
        {
			string serializedView = (string)((Button)sender).Tag;
			string[] splitView = serializedView.Split(' ');
			if (splitView.Length == 3)
			{
				Location center = (Location)locationConverter.ConvertFromString(splitView[0]);
				double zoomLevel = double.Parse(splitView[1]);
				MyMap.SetView(center, zoomLevel);
			}
        }

        private void SetViewButtonClick(object sender, RoutedEventArgs e)
        {
            double latitude = double.Parse(LatitudeText.Text);
            double longitude = double.Parse(LongitudeText.Text);
            double zoomLevel = double.Parse(ZoomText.Text);
            MyMap.SetView(new Location(latitude, longitude), zoomLevel);
        }

        private void ToggleAnimation_Click(object sender, RoutedEventArgs e)
        {
            if (ToggleAnimation.IsChecked == true)
            {
                MyMap.AnimationLevel = AnimationLevel.Full;
            }
            else
            {
                MyMap.AnimationLevel = AnimationLevel.None;
            }
        }
    }
}
