﻿using System.Windows;
using System.Windows.Controls;
using Microsoft.Maps.MapControl;

namespace TileLayer
{
    public partial class MainPage : UserControl
    {
        private MapTileLayer tileLayer;

        public MainPage()
        {
            InitializeComponent();

            //For details on MapCruncher: http://www.microsoft.com/maps/product/mapcruncher.aspx
            tileLayer = new MapTileLayer();
            LocationRectTileSource tileSource = new LocationRectTileSource(
                                                            "{UriScheme}://www.microsoft.com/virtualearth/isdk/ajax/layers/lidar/{quadkey}.png",
                                                            new LocationRect(new Location(48.06282, -122.43773), new Location(47.999973, -122.37490)),
                                                            new Range<double>(10, 16));
            
            tileLayer.TileSources.Add(tileSource);
            tileLayer.TileWidth = 256;
            tileLayer.TileHeight = 256;

            MyMap.Children.Add(tileLayer);
        }

        private void TileOpacitySlider_ValueChanged(object sender, RoutedPropertyChangedEventArgs<double> e)
        {
            tileLayer.Opacity = (100 - TileOpacitySlider.Value) / 100;
        }
    }
}
